#ifndef ICEBLOXXVIEWH
#define ICEBLOXXVIEWH
#include <coeview.h>
#include "coecntrl.h"
class Icebloxx;
class QPixmap;
#ifdef UIQ3
#include <qikviewbase.h>
class CIceBloxxView:public CQikViewBase
#else
class CIceBloxxView:public CCoeControl,public MCoeView
#endif
{
public:
#ifdef UIQ3
	CIceBloxxView(CQikAppUi& aAppUI);
   // from CQikViewBase	
	void ViewConstructL();
	const CFont& ScreenFont(const TCoeFont& aFont) const;
#else
	CIceBloxxView();
#endif
	void SetIceBloxxGame(Icebloxx* aGame);

	~CIceBloxxView();
	void Draw(const TRect& aRect) const;
	virtual void ViewDeactivated();
	virtual void ViewActivatedL(const TVwsViewId& aPrevViewId,TUid aCustomMessageId,const TDesC8& aCustomMessage);
	virtual TVwsViewId ViewId() const;

	void ConstructL();
	void BlitImage(QPixmap* aPixmap);
	TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent,TEventCode aType);
	void HandlePointerEventL(const TPointerEvent& aPointerEvent);
protected:
#ifdef UIQ3
	// from MQikCommandHandler
	void HandleCommandL(CQikCommand& aCommand);
public:
	void UpdateCommandsL(TInt aCoins, TInt aSpeed, TInt aStrength);
#endif
private:
	Icebloxx* iGame;
};

#endif

